New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Syntax Error after Upgrade #9

Closed
pjweder opened this Issue Dec 3, 2018 · 2 comments

Comments

Projects
None yet
2 participants
@pjweder

pjweder commented Dec 3, 2018

OS: Ubuntu 18.04.1 LTS
LXC: 3.0.2

Check doesn't work since the last updates:

Error:
/usr/lib/nagios/plugins/check_lxc.sh: line 253: + : syntax error: operand expected (error token is "+ ")

@Napsty

This comment has been minimized.

Owner

Napsty commented Dec 3, 2018

Thanks for reporting. This is caused by lxc/lxc#2742.
I will add a sanity check in the plugin though.

@Napsty Napsty self-assigned this Dec 3, 2018

@Napsty Napsty added the enhancement label Dec 3, 2018

Napsty added a commit that referenced this issue Dec 3, 2018

Napsty added a commit that referenced this issue Dec 3, 2018

Napsty added a commit that referenced this issue Dec 3, 2018

Issue 9 (#10)
* Fix issue #9 (added lxc-cgroup sanity check)

* Fix issue #9 (added lxc-cgroup sanity check)
@Napsty

This comment has been minimized.

Owner

Napsty commented Dec 3, 2018

Fixed in 0.6.2

@Napsty Napsty closed this Dec 3, 2018

@Napsty Napsty referenced this issue Dec 4, 2018

Merged

Shellcheck #6

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment